## org.opengis.feature
Class FeatureEvent

    Object
      EventObject
          FeatureEvent

All Implemented Interfaces:
  Serializable

    public class FeatureEvent

extends EventObject

Instances of this class are passed to the methods of `FeatureListener` when a new feature is added to, removed from, or changed within a given feature collection.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class EventObject
`source`

Constructor Summary
`FeatureEvent(FeatureCollection source, List<String> fids)` Constructs a new event.

Method Summary
`FeatureCollection` `getFeatureCollection()` Synonym for `getSource()`, but does the cast for you.
`List<String>` `getFeatureIDs()` Returns the IDs of the features that were affected.
`Object` `getSource()` Returns the source as a feature collection.

Methods inherited from class EventObject
`toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureEvent

    public FeatureEvent(FeatureCollection source,
                        List<String> fids)

  Constructs a new event.

  Parameters:
    `source` - The source for this event.
    `fids` - IDs of the features that were affected.

Method Detail

### getFeatureIDs

    public List<String> getFeatureIDs()

  Returns the IDs of the features that were affected.

### getSource

    public Object getSource()

  Returns the source as a feature collection.

  Overrides:
    `getSource` in class `EventObject`

### getFeatureCollection

    public FeatureCollection getFeatureCollection()

  Synonym for `getSource()`, but does the cast for you.

  TODO:
    To be replaced by `getSource()` in a J2SE 1.5 profile.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.